Package ru.bitel.bgbilling.modules.bill.server.bean

# Class DocTypeManager

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.DocTypeManager

    public class DocTypeManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DocTypeManager​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteType​(int id)` |
  `DocType` | `getType​(int id)` |
  `static DocType` | `getTypeFromRs​(java.sql.ResultSet rs)` |
  `java.util.List<DocType>` | `getTypeList​(DocumentType documentType)` |
  `java.util.Map<java.lang.Integer,​DocType>` | `getTypeMap()` |
  `void` | `updateType​(DocType type)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocTypeManager

    public DocTypeManager​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### getType

    public DocType getType​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTypeMap

    public java.util.Map<java.lang.Integer,​DocType> getTypeMap() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTypeList

    public java.util.List<DocType> getTypeList​(DocumentType documentType) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateType

    public void updateType​(DocType type) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteType

    public void deleteType​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTypeFromRs

    public static DocType getTypeFromRs​(java.sql.ResultSet rs) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`